Bug 843708 - "message has been copied to target" messages too noisy
"message has been copied to target" messages too noisy
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.7
Unspecified Linux
unspecified Severity medium
: ---
: 1.7.1
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 02:31 EDT by Hedda Peters
Modified: 2012-11-29 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.7.1-SNAPSHOT (20120731-0013)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 18:29:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2012-07-27 02:31:52 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:9.0.1) Gecko/20100101 Firefox/9.0.1
Build Identifier: 

Every time a msgid is being copied to msgstr a notification pops up informing you that the "message has been copied to target", and every new notification is being added in that list of notifications, accumulating over time.

1) These notifications are pretty noisy, considering it's a simple standard operation that's being performed. I think they are unnecessary for this operation.

2) The notifications accumulate into a long list, it requires using the mouse to clear the list. Please note that some translators may use the Copy from Source function all the time (e.g. it is the quickest and best way to copy html-tags and links across from msgid), I personally use it for the majority of the messages in any given project. Hence these "message has been copied..." notifications quickly accumulate.

Reproducible: Always
Comment 2 Runa Bhattacharjee 2012-07-27 03:10:20 EDT
I agree. Its a trivial and much repeated operation on the translation editor. Turning off the notifications for this should not hurt.
Comment 3 Alex Eng 2012-07-29 18:48:52 EDT
The notification will be changed in 2.0. Alert (changes of color, not pop up) will appear in the box whenever a notification is received. User can still click on the box for more info.
Comment 4 Alex Eng 2012-07-30 02:27:27 EDT
Implemented in 1.7.1. 
Severity of the message: 
Error - popup
Info/Warn - alert(blinking)

See
https://github.com/zanata/zanata/commit/34491d0da3d49b0edba88591c0d2d5dad48b9f9f
Comment 5 Ding-Yi Chen 2012-07-30 21:02:39 EDT
VERIFIED with Zanata version 1.8-SNAPSHOT (20120731-0025)
and 1.7.1-SNAPSHOT (20120731-0013)

Note You need to log in before you can comment on or make changes to this bug.